program MDXWin_InitSetting;

uses
  Windows, SysUtils, ShellAPI;

{$R *.res}

const HT:char=char($09);
const CR:char=char($0d);
const LF:char=char($0a);
const SP:char=char($20);
const CRLF:string=char($0d)+char($0a);

procedure MDXWinBoot;
var
  Filename:string;
begin
  Filename:=ExtractFilePath(ParamStr(0))+'MDXWin.exe';
  ShellExecute(0,'open',PChar(Filename),'', nil,SW_SHOW);
end;

var
  Title:string;
  Wnd:hwnd;
  path:string;
begin
  Title:='MDXWin 2.xx';
  Wnd:=FindWindow('TMain',pchar(Title));

  Title:='MDXWin設定初期化ツール';

  if Wnd=0 then begin
    if MessageBox(HWND(0),pchar('MDXWinの設定を全て初期化します。'+CRLF+'よろしいですか？'),pchar(Title),MB_OKCANCEL)=idOK then begin;
      path:=ExtractFilePath(ParamStr(0));
      DeleteFile(path+'MDXWin.iniback');
      DeleteFile(path+'MXDRVWIN.iniback');
      RenameFile(path+'MDXWin.ini',path+'MDXWin.inibak');
      RenameFile(path+'MXDRVWIN.ini',path+'MXDRVWIN.inibak');
      DeleteFile(path+'MDXWin.ini');
      DeleteFile(path+'MXDRVWIN.ini');
      MessageBox(HWND(0),pchar('MDXWinの設定を初期化しました。'),pchar(Title),MB_OK);
    end;
    MessageBox(HWND(0),pchar('MDXOnline関係の一次キャッシュをクリアする時は、'+CRLF+'NetCache213フォルダを手動で削除して下さい。'),pchar(Title),MB_OK);
    if MessageBox(HWND(0),pchar('MDXWinを起動しますか？'),pchar(Title),MB_OKCANCEL)=idOK then begin;
      MDXWinBoot;
    end;
    end else begin
    MessageBox(HWND(0),pchar('MDXWinを終了させてから初期化作業を始めてください。'),pchar(Title),MB_OK);
  end;
end.
